Package org.eclipse.emf.cdo.common.util

## Class CDOFetchRule

- java.lang.Object
- - org.eclipse.emf.cdo.common.util.CDOFetchRule

-     public final class CDOFetchRule
      extends java.lang.Object

  Represents a subset of the `features` of a `class`.
  Since:
    3.0
  Author:
    Simon McDuff

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOFetchRule​(CDODataInput in, CDOPackageRegistry packageManager)` |
    `CDOFetchRule​(EClass eClass)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addFeature​(EStructuralFeature feature)` |
    `EClass` | `getEClass()` |
    `java.util.List<EStructuralFeature>` | `getFeatures()` |
    `boolean` | `isEmpty()` |
    `void` | `removeFeature​(EStructuralFeature feature)` |
    `void` | `write​(CDODataOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOFetchRule

          public CDOFetchRule​(EClass eClass)

    - #### CDOFetchRule

          public CDOFetchRule​(CDODataInput in,
                              CDOPackageRegistry packageManager)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### write

          public void write​(CDODataOutput out)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getEClass

          public EClass getEClass()

    - #### getFeatures

          public java.util.List<EStructuralFeature> getFeatures()

    - #### addFeature

          public void addFeature​(EStructuralFeature feature)

    - #### removeFeature

          public void removeFeature​(EStructuralFeature feature)

    - #### isEmpty

          public boolean isEmpty()